Error
A valid request URL is required to generate request examples{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Role policies
Attach a policy to a role
Links a policy to a role. Call once per policy to attach several policies to the same role.
POST
/
roles
/
{roleSrn}
/
attach-policy
Error
A valid request URL is required to generate request examples{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Authorizations
A StarTree API token or a service token (st-<accessKey>-<secretKey>).
Path Parameters
SRN of the role, with # encoded as %23.
Body
application/json
Example:
"srn2:policy#my-read-only-policy"
Response
Policy attached. The response body is empty.
Was this page helpful?

